import React from 'react';
import { describe, expect, test } from '@jest/globals';
import { render, screen } from '@testing-library/react';
import ListPage from '../index';
import { TestWrapper } from '../../../__tests__/test-wrapper';
import { mockGetList, spyedGetList } from '../../../__tests__/mocks/api/list/get-list';

describe('ListPage', () => {
  test('renders', async () => {
    const mockedGetList = mockGetList();

    render(<ListPage />, {
      wrapper: TestWrapper
    });

    expect(screen.getByText('List Page New')).toBeInTheDocument();

    expect(await screen.findByText('1: title - description')).toBeInTheDocument();
    expect(mockedGetList).toHaveBeenCalled();
  });

  test('Отображается ошибка', async () => {
    spyedGetList.mockRejectedValueOnce({
      message: 'В доступе отказано'
    });

    render(<ListPage />, {
      wrapper: TestWrapper
    });

    expect(await screen.findByText('Произошла ошибка')).toBeInTheDocument();
  });
});
